package ro.sync.ecss.extensions.api;

import ro.sync.annotations.api.API;
import ro.sync.annotations.api.APIType;
import ro.sync.annotations.api.SourceType;

/**
 * Supported cursor types for author.
 */
@API(type=APIType.NOT_EXTENDABLE, src=SourceType.PUBLIC)
public enum CursorType {
  /**
   * Normal cursor
   */
  CURSOR_NORMAL, 
  /**
   * Text cursor
   */
  CURSOR_TEXT, 
  /**
   * Resize cursor
   */
  CURSOR_RESIZE,
  /**
   * Hand cursor
   */
  CURSOR_HAND,
  /**
   * Select column cursor
   */
  CURSOR_SELECT_COLUMN,
  /**
   * Select row cursor
   */
  CURSOR_SELECT_ROW,
  /**
   * Select table cursor
   */
  CURSOR_SELECT_TABLE,

}